Skip to main content
POST
/
api
/
platform
/
withdrawals
/
transfer-from-pw-bank
/
{user_id}
Transfer From Paywint Bank
curl --request POST \
  --url https://api.sandbox.paywint.com/api/platform/withdrawals/transfer-from-pw-bank/{user_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Platform-ID: <x-platform-id>' \
  --header 'X-Signature: <x-signature>' \
  --data '
{
  "amount": 123,
  "from_bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "memo": "<string>",
  "card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "to_bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "success": true,
  "message": "Operation completed.",
  "data": {
    "withdrawal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "from_bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "to_bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "withdrawal_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 123,
    "amount_credited": 123,
    "processing_fees": 123,
    "memo": "<string>",
    "failed_reason": "<string>"
  },
  "queryGeneratedTime": 1718006400
}

Headers

X-Platform-ID
string<uuid>
required

Unique platform identifier (UUID). You receive this during onboarding. Must be sent with every API request.

X-Signature
string
required

HMAC-SHA256 request signature for authentication. Use your platform secret key to compute it as: METHOD + PATH + QUERY + BODY_HASH.

Path Parameters

user_id
string<uuid>
required

Unique identifier (UUID) of the user initiating the transfer.

Body

application/json
amount
number
required

Amount to transfer from the Paywint bank account

from_bank_id
string<uuid>
required

Source Paywint-linked bank account ID to transfer from

destination
enum<string>
required

Destination for the transfer (WALLET, CARD, or ACH)

Available options:
WALLET,
CARD,
ACH
memo
string | null

Optional memo for the transfer

Maximum string length: 255
card_id
string<uuid> | null

Card ID to transfer to when destination is CARD

to_bank_id
string<uuid> | null

Bank account ID to transfer to when destination is ACH

Response

Successful Response

success
boolean
default:true

Indicates whether the request was processed successfully.

Example:

true

message
string
default:Success

A short, human-readable message describing the result of the request.

Example:

"Operation completed."

data
PlatformPWBankTransferRead · object

The main response payload, if applicable

queryGeneratedTime
number | null
default:1782131146.278697

The Unix timestamp (in seconds) indicating when the response was generated.

Example:

1718006400